## org.hibernate.testing.junit
Annotation Type FailureExpected

    @Retention(value=RUNTIME)
    @Target(value={METHOD,TYPE})
    public @interface FailureExpected

Annotations used to mark a test as an expected failure.

Author:
  Hardy Ferentschik, Steve Ebersole

Required Element Summary
`String` `jiraKey` The key of a JIRA issue which covers this expected failure.

Optional Element Summary
`String` `message` A message explaining the reason for the expected failure.

Element Detail

### jiraKey

    public abstract String jiraKey

  The key of a JIRA issue which covers this expected failure.

  Returns:
    The jira issue key

### message

    public abstract String message

  A message explaining the reason for the expected failure. Optional.

  Returns:
    The reason
  Default:
    ""

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.